## sip-tester 3.3

=== debian/changelog ===
sip-tester (1:3.3-1~bpo70+1) wheezy-backports; urgency=low

  * [9198ace] Added noninteractive patch from upstream. Trying to fix issues running sipp without a console.
  * [fdad588] Added missing patch on series
  * [f5eecce] Imported Upstream version 3.3
  * [7d8e0e6] remove spelling-error-in-binary patch
  * [7b78cc3] refresh patches for 3.3
  * [4443931] Added patch for rtp from ksolomko@sipwise.com

 -- Victor Seva <vseva@sipwise.com>  Wed, 27 Nov 2013 13:58:07 +0100

sip-tester (1:3.2-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Added dep libssl-dev

 -- Victor Seva <vseva@sipwise.com>  Wed, 03 Jul 2013 13:53:24 +0200
