## sip-tester 3.5.1

=== debian/changelog ===
sip-tester (1:3.5.1-2build1) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:16:22 +0000

sip-tester (1:3.5.1-2) unstable; urgency=medium

  * [9a06454] add note on description about no auth support

 -- Victor Seva <vseva@debian.org>  Thu, 15 Jun 2017 16:56:35 +0200

sip-tester (1:3.5.1-1) experimental; urgency=medium

  * [3083f04] New upstream version 3.5.1 (Closes: #809196)
  * [f009492] debian/copyright switch to format 1.0
  * [eccbbcc] debian/watch: project is now in github
  * [3cf35c8] use autoreconf
  * [5bc2474] remove old patches
  * [2d19a31] support hardening

 -- Victor Seva <vseva@debian.org>  Thu, 15 Jun 2017 16:54:19 +0200

sip-tester (1:3.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Bas Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    Closes: #807226

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 26 Jan 2016 12:16:10 +0000
