=== debian/control ===
Source: sip-tester
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders:
 Tzafrir Cohen <tzafrir@debian.org>,
 Victor Seva <vseva@debian.org>,
Build-Depends:
 debhelper (>= 9~),
 dh-autoreconf,
 dpkg-dev (>= 1.16.1~),
 help2man,
 libgsl-dev,
 libncurses5-dev,
 libnet1-dev,
 libpcap-dev,
 pkg-config,
Build-Conflicts:
 libssl-dev,
Standards-Version: 3.9.8
Homepage: http://sipp.sourceforge.net/
Vcs-git: https://anonscm.debian.org/git/pkg-voip/sip-tester.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-voip/sip-tester.git

Package: sip-tester
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Performance testing tool for the SIP protocol
 sip-tester is a test tool and traffic generator for the SIP
 protocol. It can be used to test SIP equipment like SIP
 proxies, SIP media servers, etc. and to emulate user agents
 calling a SIP system.
 .
 Its features are:
  * a few basic SipStone user agent scenarios included
  * custom XML scenario files even for complex call flows
  * comprehensive set of real-time statistics
  * TCP and UDP transport
  * dynamically adjustable call rates
  - send RTP traffic
 .
 This software is distributed as SIPp by its authors.
 .
 SIP is the Session Initiation Protocol, a standard signalling
 protocol for initiating, modifying, and terminating Internet
 conferencing, telephony (VoIP - Voice over IP), video, and
 instant messaging.
 .
 This package has been built for distributed pauses with the
 GNU Scientific Libraries and without openssl due licenses
 incompatibilities, so authentication is not supported.
