=== debian/rules ===
--- 
+++ 
@@ -20,12 +20,14 @@
 endif
 BUILDFLAGS += MAKECMDGOALS=dont-optimize
 
-help2man:
-	/usr/bin/help2man -v '-v' -N -S 'Debian GNU/Linux' -o debian/sipp.1 sipp \
-		-n 'Session Initiation Protol (SIP) performance testing tool'
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
-override_dh_auto_build:
-	        dh_auto_build -- pcapplay_ossl
+override_dh_auto_configure:
+	dh_auto_configure -- --with-pcap --with-gsl
+
+override_dh_auto_test:
