=== debian/watch ===
version=3
opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sip-tester_$1\.tar\.gz/" \
  https://github.com/SIPp/sipp/tags .*/v?(\d\S*)\.tar\.gz
