## sip-tester 3.5.2

=== debian/changelog ===
sip-tester (1:3.5.2-1) unstable; urgency=medium

  * New upstream version 3.5.2
  * update Vcs-* due migration to salsa
  * patch for alpha (Closes: #902105)
  * add rtpstream and sctp support
  * fix sctp
  * use upstream manpage
  * install pcap files
  * add FAQ.md and CHANGES.md files on docs
  * update debian/watch
  * update Standards-Version to 4.2.1, no changes needed

 -- Victor Seva <vseva@debian.org>  Mon, 10 Dec 2018 07:41:51 +0100
