=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  debhelper (>= 9~),
  dh-autoreconf,
  dpkg-dev (>= 1.16.1~),
- help2man,
+ libsctp-dev [linux-any],
  libgsl-dev,
  libncurses5-dev,
  libnet1-dev,
@@ -17,10 +17,10 @@
  pkg-config,
 Build-Conflicts:
  libssl-dev,
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Homepage: http://sipp.sourceforge.net/
-Vcs-git: https://anonscm.debian.org/git/pkg-voip/sip-tester.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-voip/sip-tester.git
+Vcs-git: https://salsa.debian.org/pkg-voip-team/sip-tester.git
+Vcs-Browser: https://salsa.debian.org/pkg-voip-team/sip-tester
 
 Package: sip-tester
 Architecture: any
