=== debian/rules ===
--- 
+++ 
@@ -24,10 +24,14 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+	SIPP_CONFIG += --with-sctp
+endif
+
 %:
 	dh $@ --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-pcap --with-gsl
+	dh_auto_configure -- --with-pcap --with-gsl --with-rtpstream $(SIPP_CONFIG)
 
 override_dh_auto_test:
