## sip-tester 3.6.0

=== debian/changelog ===
sip-tester (1:3.6.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:57:56 +0100

sip-tester (1:3.6.0-1) unstable; urgency=medium

  * New upstream version 3.6.0 (Closes: #925830)
  * remove already applied patches
  * upgrade debhelper to 12. Upgrade Standards-Version to 4.4.1
  * FAQ.md was removed upstream

 -- Victor Seva <vseva@debian.org>  Mon, 30 Dec 2019 10:26:51 +0100
