=== debian/control ===
--- 
+++ 
@@ -6,9 +6,7 @@
  Tzafrir Cohen <tzafrir@debian.org>,
  Victor Seva <vseva@debian.org>,
 Build-Depends:
- debhelper (>= 9~),
- dh-autoreconf,
- dpkg-dev (>= 1.16.1~),
+ debhelper-compat (= 12),
  libsctp-dev [linux-any],
  libgsl-dev,
  libncurses5-dev,
@@ -17,7 +15,7 @@
  pkg-config,
 Build-Conflicts:
  libssl-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: http://sipp.sourceforge.net/
 Vcs-git: https://salsa.debian.org/pkg-voip-team/sip-tester.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/sip-tester
