=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifeq ($(DEB_HOST_ARCH_OS),linux)
	SIPP_CONFIG += --with-sctp
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-pcap --with-gsl --with-rtpstream $(SIPP_CONFIG)

override_dh_auto_test:
