=== debian/changelog ===
sip-tester (1:3.6.1-1) unstable; urgency=medium

  * New upstream version 3.6.1
  * upstream use now cmake

 -- Victor Seva <vseva@debian.org>  Fri, 15 Jan 2021 14:38:30 +0100
