=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  Victor Seva <vseva@debian.org>,
 Build-Depends:
  debhelper-compat (= 12),
+ cmake,
  libsctp-dev [linux-any],
  libgsl-dev,
  libncurses5-dev,
