=== debian/rules ===
--- 
+++ 
@@ -7,13 +7,14 @@
 include /usr/share/dpkg/buildflags.mk
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-	SIPP_CONFIG += --with-sctp
+	SIPP_CONFIG += -DUSE_SCTP=1
 endif
 
 %:
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-pcap --with-gsl --with-rtpstream $(SIPP_CONFIG)
+	cp version.h include/
+	dh_auto_configure -- -DUSE_PCAP=1 -DUSE_GSL=1 $(SIPP_CONFIG)
 
 override_dh_auto_test:
