## sip-tester 3.7.1

=== debian/changelog ===
sip-tester (1:3.7.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository-Browse.
  * Changed vcs type from git to Git based on URL.
  * Update standards version to 4.6.1, no changes needed.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Update standards version to 4.6.2, no changes needed.

  [ Victor Seva ]
  * update watch file
  * New upstream version 3.7.0
  * rules: version.h is already in the proper directory
  * update libncurses dependency
  * enable ssl support using wolfssl
  * New upstream version 3.7.1

 -- Victor Seva <vseva@debian.org>  Thu, 05 Oct 2023 09:45:09 +0200
