=== debian/control ===
--- 
+++ 
@@ -6,20 +6,21 @@
  Tzafrir Cohen <tzafrir@debian.org>,
  Victor Seva <vseva@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
  cmake,
- libsctp-dev [linux-any],
+ debhelper-compat (= 13),
  libgsl-dev,
- libncurses5-dev,
+ libncurses-dev,
  libnet1-dev,
  libpcap-dev,
+ libsctp-dev [linux-any],
+ libwolfssl-dev,
  pkg-config,
 Build-Conflicts:
  libssl-dev,
-Standards-Version: 4.4.1
-Homepage: http://sipp.sourceforge.net/
-Vcs-git: https://salsa.debian.org/pkg-voip-team/sip-tester.git
+Standards-Version: 4.6.2
+Homepage: https://sipp.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/sip-tester
+Vcs-Git: https://salsa.debian.org/pkg-voip-team/sip-tester.git
 
 Package: sip-tester
 Architecture: any
