## sip-tester 3.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.4)
 
 # set the project name
 project(SIPp)
@@ -6,16 +6,17 @@
 # specify the C++ standard
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED True)
-
-if(EXISTS ./gmock/CMakeLists.txt)
-  add_subdirectory(gmock EXCLUDE_FROM_ALL)
-endif()
-
+set(CMAKE_CXX_EXTENSIONS False)
+# specify the C++ standard on older CMake (<3.8)
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+#set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror -pedantic -Wno-error=format-truncation -Wno-error=deprecated-declarations")
+
+# Include binary dir first, where we add generated config.h and
+# version.h. If nothing is found there (release tar) use the version.h
+# from the source.
 include_directories(
+  ${PROJECT_BINARY_DIR}
   ${PROJECT_SOURCE_DIR}/include
-  ${PROJECT_SOURCE_DIR}/gtest/include
-  ${PROJECT_SOURCE_DIR}/gmock/include
-  ${PROJECT_BINARY_DIR}
   "/usr/local/include")
 
 option(BUILD_STATIC "Build a statically-linked binary" OFF)
@@ -29,6 +30,7 @@
   "${PROJECT_SOURCE_DIR}/src/*.c"
   )
 
+include(${CMAKE_ROOT}/Modules/CheckCXXSourceCompiles.cmake)
 include(${CMAKE_ROOT}/Modules/CheckIncludeFile.cmake)
 include(${CMAKE_ROOT}/Modules/CheckSymbolExists.cmake)
 include(${CMAKE_ROOT}/Modules/CheckStructHasMember.cmake)
@@ -41,8 +43,14 @@
 CHECK_SYMBOL_EXISTS(le16toh "endian.h" HAVE_DECL_LE16TOH)
 CHECK_SYMBOL_EXISTS(le16toh "sys/endian.h" HAVE_DECL_LE16TOH_BSD)
 
+
 configure_file("${PROJECT_SOURCE_DIR}/include/config.h.in"
                "${PROJECT_BINARY_DIR}/config.h" )
+
+if(BUILD_STATIC)
+  set(CMAKE_EXE_LINKER_FLAGS "-static-libgcc -static-libstdc++ -static")
+  set(CMAKE_FIND_LIBRARY_SUFFIXES .a ${CMAKE_FIND_LIBRARY_SUFFIXES})
+endif(BUILD_STATIC)
 
 list(REMOVE_ITEM all_SRCS
   "${PROJECT_SOURCE_DIR}/src/sipp_unittest.cpp")
@@ -62,8 +70,39 @@
     "${PROJECT_SOURCE_DIR}/src/send_packets.c")
 endif(NOT USE_PCAP)
 
+find_package(PkgConfig QUIET)  # import pkg_check_modules() and friends
 if(USE_SSL)
-  add_definitions("-DUSE_TLS -DUSE_OPENSSL")
+  if(PKG_CONFIG_FOUND)
+    pkg_search_module(SSL openssl>=0.9.8 wolfssl>=3.15.0)
+  endif()
+  if(SSL_FOUND)
+    if("${SSL_LIBRARIES}" MATCHES "wolfssl")
+      set(WOLFSSL_FOUND True)
+    else()
+      set(OPENSSL_FOUND True)
+    endif()
+  else()
+    find_library(OPENSSL_SSL_LIBRARY NAMES ssl)
+    find_library(OPENSSL_CRYPTO_LIBRARY NAMES crypto)
+    if(OPENSSL_SSL_LIBRARY AND OPENSSL_CRYPTO_LIBRARY)
+      set(SSL_LIBRARIES ${OPENSSL_SSL_LIBRARY} ${OPENSSL_CRYPTO_LIBRARY})
+      set(OPENSSL_FOUND True)
+    else()
+      find_library(WOLFSSL_LIBRARY NAMES wolfssl)
+      if(WOLFSSL_LIBRARY)
+        set(SSL_LIBRARIES ${WOLFSSL_LIBRARY})
+        set(WOLFSSL_FOUND True)
+      endif()
+    endif()
+    if(NOT OPENSSL_FOUND AND NOT WOLFSSL_FOUND)
+      message(FATAL_ERROR "Neither OpenSSL nor WolfSSL was found; please install a devel package")
+    endif()
+  endif()
+  if(OPENSSL_FOUND)
+    add_definitions("-DUSE_TLS" "-DUSE_OPENSSL")
+  elseif(WOLFSSL_FOUND)
+    add_definitions("-DUSE_TLS" "-DUSE_WOLFSSL" "-DOPENSSL_ALL")
+  endif()
 endif()
 
 if(USE_PCAP)
@@ -81,13 +120,31 @@
   add_definitions("-DUSE_SCTP")
 endif(USE_SCTP)
 
-add_definitions("-DRTP_STREAM")
-
 # add the executable
 link_directories("/usr/local/lib")
 add_executable(sipp ${all_SRCS} "${PROJECT_SOURCE_DIR}/src/sipp.cpp")
-add_executable(sipp_unittest EXCLUDE_FROM_ALL ${all_SRCS} "${PROJECT_SOURCE_DIR}/src/sipp_unittest.cpp")
-target_compile_definitions(sipp_unittest PUBLIC "-DGTEST")
+target_compile_features(sipp PUBLIC cxx_auto_type cxx_range_for)
+
+if(EXISTS ${PROJECT_SOURCE_DIR}/gtest/googletest)
+  add_executable(sipp_unittest EXCLUDE_FROM_ALL
+    ${all_SRCS}
+    "${PROJECT_SOURCE_DIR}/src/sipp_unittest.cpp"
+    "${PROJECT_SOURCE_DIR}/gtest/googletest/src/gtest-all.cc"
+    "${PROJECT_SOURCE_DIR}/gtest/googlemock/src/gmock-all.cc"
+  )
+  target_compile_features(sipp_unittest PUBLIC cxx_auto_type cxx_range_for)
+  target_compile_definitions(sipp_unittest PUBLIC "-DGTEST")
+  target_include_directories(sipp_unittest SYSTEM PUBLIC
+    ${PROJECT_SOURCE_DIR}/gtest/googletest
+    ${PROJECT_SOURCE_DIR}/gtest/googlemock
+    ${PROJECT_SOURCE_DIR}/gtest/googletest/include
+    ${PROJECT_SOURCE_DIR}/gtest/googlemock/include
+  )
+else()
+  add_executable(sipp_unittest EXCLUDE_FROM_ALL
+    ${all_SRCS}
+    "${PROJECT_SOURCE_DIR}/src/sipp_unittest.cpp")
+endif()
 
 # add version
 find_package(Git)
@@ -100,22 +157,17 @@
  )
  configure_file(\${SRC} \${DST} @ONLY)
 ")
-add_custom_target(
-    version
-    if test -d .git \; then
-        ${CMAKE_COMMAND} -D SRC=${PROJECT_SOURCE_DIR}/include/version.h.in
-          -D DST=${PROJECT_BINARY_DIR}/version.h
-          -P ${PROJECT_SOURCE_DIR}/include/version.cmake \;
-    fi
-)
-add_dependencies(sipp version)
-add_dependencies(sipp_unittest version)
-
-if(BUILD_STATIC)
-  set(CMAKE_EXE_LINKER_FLAGS "-static-libgcc -static-libstdc++ -static")
-endif(BUILD_STATIC)
-
-find_package(PkgConfig QUIET)  # import pkg_check_modules() and friends
+if(EXISTS ${PROJECT_SOURCE_DIR}/.git)
+  add_custom_target(
+      version
+      ${CMAKE_COMMAND} -D SRC=${PROJECT_SOURCE_DIR}/include/version.h.in
+      -D DST=${PROJECT_BINARY_DIR}/version.h
+      -P ${PROJECT_SOURCE_DIR}/include/version.cmake
+  )
+  add_dependencies(sipp version)
+  add_dependencies(sipp_unittest version)
+endif()
+
 if(PKG_CONFIG_FOUND)
   pkg_search_module(CURSES_LIBRARY ncursesw cursesw ncurses curses)
   if(CURSES_LIBRARY_FOUND)
@@ -134,17 +186,23 @@
 endif()
 if(CURSES_LIBRARY)
   target_link_libraries(sipp dl ${CURSES_LIBRARY} pthread)
-  target_link_libraries(sipp_unittest dl ${CURSES_LIBRARY} pthread gtest gmock)
+  target_link_libraries(sipp_unittest dl ${CURSES_LIBRARY} pthread)
   if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
-    if(NOT BUILD_STATIC)
-      if(TINFO_LIBRARY)
-        target_link_libraries(sipp dl ${TINFO_LIBRARY})
-        target_link_libraries(sipp_unittest dl ${TINFO_LIBRARY})
+    if(TINFO_LIBRARY)
+      target_link_libraries(sipp ${TINFO_LIBRARY})
+      target_link_libraries(sipp_unittest ${TINFO_LIBRARY})
+    else()
+      if(BUILD_STATIC)
+        message(WARNING "libtinfo.a was not found -- please install package if linking fails")
       else()
-        message(FATAL_ERROR "libtinfo was not found -- please install package")
-      endif(TINFO_LIBRARY)
-    endif(NOT BUILD_STATIC)
+        message(FATAL_ERROR "libtinfo.so was not found -- please install package")
+      endif(BUILD_STATIC)
+    endif(TINFO_LIBRARY)
   endif(CMAKE_SYSTEM_NAME STREQUAL "Linux")
+  if(CURSES_LIBRARY_INCLUDE_DIRS OR TINFO_LIBRARY_INCLUDE_DIRS)
+    target_include_directories(sipp SYSTEM PUBLIC ${CURSES_LIBRARY_INCLUDE_DIRS} ${TINFO_LIBRARY_INCLUDE_DIRS})
+    target_include_directories(sipp_unittest SYSTEM PUBLIC ${CURSES_LIBRARY_INCLUDE_DIRS} ${TINFO_LIBRARY_INCLUDE_DIRS})
+  endif()
 else()
   message(FATAL_ERROR "libcurses / libncurses was not found; please install devel package")
 endif()
@@ -155,15 +213,31 @@
   target_link_libraries(sipp_unittest ${RT_LIBRARY})
 endif()
 
+if(DEBUG)
+  add_definitions("-g -O0")
+endif(DEBUG)
+
+if(SIPP_MAX_MSG_SIZE)
+  add_definitions("-DSIPP_MAX_MSG_SIZE=${SIPP_MAX_MSG_SIZE}")
+endif(SIPP_MAX_MSG_SIZE)
+
+if(CYGWIN)
+  add_definitions("-D_GNU_SOURCE")
+endif(CYGWIN)
+
 if(USE_GSL AND GSL_LIBRARY)
   target_link_libraries(sipp gsl gslcblas)
   target_link_libraries(sipp_unittest gsl gslcblas)
 endif(USE_GSL AND GSL_LIBRARY)
 
-if(USE_SSL)
-  target_link_libraries(sipp crypto ssl)
-  target_link_libraries(sipp_unittest crypto ssl)
-endif(USE_SSL)
+if(USE_SSL AND SSL_LIBRARIES)
+  target_link_libraries(sipp ${SSL_LIBRARIES})
+  target_link_libraries(sipp_unittest ${SSL_LIBRARIES})
+  if(SSL_INCLUDE_DIRS)
+    target_include_directories(sipp SYSTEM PUBLIC ${SSL_INCLUDE_DIRS})
+    target_include_directories(sipp_unittest SYSTEM PUBLIC ${SSL_INCLUDE_DIRS})
+  endif(SSL_INCLUDE_DIRS)
+endif(USE_SSL AND SSL_LIBRARIES)
 
 if(USE_PCAP)
   target_link_libraries(sipp pcap)
