=== debian/changelog ===
sip-tester (1:3.7.2-1build4) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 08:56:04 +0200

sip-tester (1:3.7.2-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:01:13 +1100

sip-tester (1:3.7.2-1build2) noble; urgency=medium

  * No-change rebuild for libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 14:02:56 +0100

sip-tester (1:3.7.2-1build1) noble; urgency=medium

  * Rebuild against latest wolfssl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 13:33:53 -0500

sip-tester (1:3.7.2-1) unstable; urgency=medium

  * New upstream version 3.7.2

 -- Victor Seva <vseva@debian.org>  Fri, 17 Nov 2023 15:28:33 +0100
