=== debian/changelog ===
sip-tester (1:3.7.3-2) unstable; urgency=medium

  * fix ftbfs with gcc 14 (Closes: #1081521)

 -- Victor Seva <vseva@debian.org>  Tue, 17 Sep 2024 16:13:56 +0200

sip-tester (1:3.7.3-1) unstable; urgency=medium

  * fix debian/watch
  * fix watch detection of version
  * New upstream version 3.7.3
  * fix wolfssl build
  * pkg-config => pkgconf
  * update Standards-Version 4.7.0, no changes needed

 -- Victor Seva <vseva@debian.org>  Mon, 09 Sep 2024 16:59:06 +0200
