=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
 	dh $@
 
 override_dh_auto_configure:
-	cp version.h include/
-	dh_auto_configure -- -DUSE_PCAP=1 -DUSE_GSL=1 $(SIPP_CONFIG)
+	dh_auto_configure -- -DUSE_SSL=1 -DUSE_PCAP=1 -DUSE_GSL=1 $(SIPP_CONFIG)
 
-override_dh_auto_test:
+override_dh_auto_clean:
+	rm -rf include/version.cmake
+	dh_auto_clean
