=== debian/changelog ===
sip-tester (1:3.7.5-1) unstable; urgency=medium

  * New upstream version 3.7.5
  * remove patches already merged upstream

 -- Victor Seva <vseva@debian.org>  Wed, 03 Sep 2025 19:29:34 +0200
