=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sip-tester
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders:
  Tzafrir Cohen <tzafrir@debian.org>,
  Victor Seva <vseva@debian.org>,
@@ -15,10 +14,10 @@
  libpcap-dev,
  libsctp-dev [linux-any],
  libwolfssl-dev,
- pkg-config,
+ pkgconf,
 Build-Conflicts:
  libssl-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://sipp.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/sip-tester
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/sip-tester.git
