=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%@ANY_VERSION@%sipp-$1.tar.gz%,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/" \
https://api.github.com/repos/SIPp/sipp/releases?per_page=50 \
https://github.com/SIPp/sipp/releases/download/v\d\.\d\.\d/sipp-@ANY_VERSION@.tar.gz
